package com.huiju.estateagents.common;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huiju.estateagents.third.entity.TaMpInfo;
import com.huiju.estateagents.third.service.ITaMpInfoService;
import me.chanjar.weixin.mp.api.WxMpService;
import me.chanjar.weixin.mp.api.impl.WxMpServiceImpl;
import me.chanjar.weixin.mp.config.impl.WxMpDefaultConfigImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import java.util.List;
import java.util.stream.Collectors;

@Component
public class WxMpUtils {

    @Autowired
    public ITaMpInfoService iTaMpInfoService;

    @PostConstruct
    public WxMpService wxMpService() {
        //从数据库读取公众号信息
        QueryWrapper<TaMpInfo> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("status", CommConstant.STATUS_NORMAL);
        List<TaMpInfo> mplist = iTaMpInfoService.list(queryWrapper);

        WxMpService service = new WxMpServiceImpl();
        service.setMultiConfigStorages(mplist
                .stream().map(a -> {
                    WxMpDefaultConfigImpl configStorage = new WxMpDefaultConfigImpl();
                    configStorage.setAppId(a.getAppid());
                    configStorage.setSecret(a.getSecret());
                    configStorage.setToken(a.getToken());
                    configStorage.setAesKey(a.getAesKey());
                    return configStorage;
                }).collect(Collectors.toMap(WxMpDefaultConfigImpl::getAppId, a -> a, (o, n) -> o)));
        return service;
    }
}
